Create Lead Event: Resman
https://api.propexo.com/v1/events/leads/resman/| Interface | Method |
|---|---|
| Lead Management | /MITS/PostLeadManagement4_0 |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the lead
The Propexo unique identifier for the lead source
The Propexo unique identifier for the unit
The name or type of event
Show 16 enum values
EmailToProspectEmailFromILSEmailFromProspectEmailCallToProspectCallFromProspectPhoneShowWalkInContactOtherCancelReActivateTextToProspectTextFromProspectApplicationThe date when the event will occur
Notes associated with the event
The reasons for the event
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the lead
The Propexo unique identifier for the lead source
The Propexo unique identifier for the unit
The name or type of event
Show 16 enum values
EmailToProspectEmailFromILSEmailFromProspectEmailCallToProspectCallFromProspectPhoneShowWalkInContactOtherCancelReActivateTextToProspectTextFromProspectApplicationThe date when the event will occur
Notes associated with the event
The reasons for the event
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/events/leads/resman/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lead_id": "string",
"event_name": "EmailToProspect",
"event_datetime": "2024-07-29T15:51:28.071Z"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lead_id": "string",
"lead_source_id": "string",
"unit_id": "string",
"event_name": "EmailToProspect",
"event_datetime": "2024-07-29T15:51:28.071Z",
"notes": "string",
"reasons_for_event": "string"
}
}